/*
  Copyright (C) 2009 Julien Jorge

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: julien.jorge@gamned.org
*/
#include "mailer.hpp"
#include "image.hpp"
#include "my_context.hpp"

#include <iostream>

void mailer::envoyer( const std::string& to, const image& img )
{
  std::cout << "envoi de l'image " << &img << "  " << to << std::endl;
}

/** Il faut connecter les mthodes pour qu'elles puisse tre excutes */
void mailer::set_exported()
{
  CONNECT_METHOD_2( mailer, envoyer, void, const std::string&, const image& );
}

IMPLEMENT_METHOD_LIST(mailer)
