/*
  Copyright (C) 2009 Julien Jorge

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: julien.jorge@gamned.org
*/
#include "image.hpp"
#include "script_exec.hpp"

/*----------------------------------------------------------------------------*/
int main()
{
  image c1, c2;
  script_exec exec;

  exec.add_image("image_1", &c1);
  exec.add_image("image_2", &c2);

  // on simule la lecture du script en excutant directement les commandes.
  exec.execute_command("image_1 miroir");
  exec.execute_command("image_2 tourner 18.6 24 -16");
  exec.execute_command("image_1 copier image_2 700 30");
  exec.execute_command("image_1 miroir");
  exec.execute_command("mailer envoyer foo@bar.org image_1");

  return 0;
} // main()
