/*
  Copyright (C) 2009 Julien Jorge

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: julien.jorge@gamned.org
*/
#ifndef __SCRIPT_EXEC_HPP__
#define __SCRIPT_EXEC_HPP__

#include "mailer.hpp"
#include "my_context.hpp"

// Cette classe se charge d'excuter un script.
class script_exec
{
public:
  script_exec();

  void add_image( const std::string& name, image* a );

  void execute_command( const std::string& command );

private:
  // l'objet utilis pour envoyer les mails.
  mailer m_mailer;

  // le contexte d'excution des scripts
  my_context m_context;

}; // script_reader

#endif // __SCRIPT_EXEC_HPP__
