/*
  Copyright (C) 2009 Julien Jorge

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: julien.jorge@gamned.org
*/
#ifndef __IMAGE_HPP__
#define __IMAGE_HPP__

#include "my_exportable.hpp"

/** Une classe bidon avec des mthodes appelables par commandes. */
class image:
 public my_exportable
{
  DECLARE_METHOD_LIST(my_exportable, set_exported)

private:
  void miroir();
  void tourner( double a, int cx, int cy );
  void copier( const image& img, int x, int y );

private:
  static void set_exported();

}; // class image

#endif // __IMAGE_HPP__
